
function anova
% Funcao Anova para tratamento de duvidas em Analise de Variancias
% parte do Sistema SESHET
%
% Por Ronei Marcos de Moraes
% em 14 de agosto de 2001
%
% Variaveis de Entrada:	nenhuma
%
%
% Variaveis Internas: 	Tipo de Variavel      	(qualitativa, quantitativa, qt. discreta
%												qt. continua), 
%                       NumAmostras             (ate' duas, mais que duas),
%                       Classificacao           (um criterio, dois criterios),
%                       Amostras                (aleatoria, independente, aleatoria E independente),
%                       Distribuicao            (nao informada, nao normal, normal),
%                       Homocedasticidade       (rejeitou, aceito tratamento, aceito so' tratamento,
%                                               aceito so' bloco, aceito tratamento e bloco)
%
%
% Variaveis de Saida: 	max_Nao_ANOVA   		(maior valor de pertinencia para o caso no  
%												qual um Teste de Hipoteses nao se aplica), 
%						max_Anova_1fator		(maior valor de pertinencia para o Teste de 
%												Hipoteses para uma media com Variancia 
%												Desconhecida),
%						max_Anova_2fatores		(maior valor de pertinencia para o Teste de 
%												Hipoteses para uma media com Variancia 
%												Conhecida),
%
%
% Topico eh Analise de Variancias - Estatistica IV

    % Tipo de Variavel e Certeza sobre o Tipo

incremento = 0; 
Menu_Variaveis=menu('A varivel do seu estudo :', 'No sei', 'Deve ser Qualitativa, mas no sei o tipo', ...
   'Deve ser Quantitativa, mas no sei o tipo', ' Qualitativa Nominal', ' Qualitativa Ordinal', ' Quantitativa Discreta', ' Quantitativa Contnua');
        if Menu_Variaveis ~= 1
            incremento = certeza;
        else   
            variaveis = 0.5;
            error(sprintf('Voc precisa estudar mais! Nao  possivel responder a sua dvida!!!'));
        end     
        
        
% Verifica tipo de Variavel

        if Menu_Variaveis == 2 	%Qual., s/ tipo
            variavel = 0;
        end
        if Menu_Variaveis == 3 	%Quant., s/ tipo
           variavel = 1.5;
        end
        if Menu_Variaveis == 4 	%Qual. Nom.
            variavel = 0;
        end
        if Menu_Variaveis == 5	%Qual. Ord.
            variavel = 0;
         end
        if Menu_Variaveis == 6	% Quant. Discr.
            variavel = 1;
        end
        if Menu_Variaveis == 7 	% Quant. Cont.
            variavel = 2;
         end         
         
% Verifica a certeza sobre o Variavel

        variavel = variavel + incremento;
    

% Verifica o Numero de Amostras e Certeza sobre o Numero

        incremento = 0; 
        Menu_NumAmostra=menu('Qual  o numero de amostras?', 'No sei', 'At duas amostras', ...
            'Mais que duas amostras');
        if Menu_NumAmostra ~= 1 
            incremento = certeza;
        else            
            numAmostra = 2.5;
        end

% Verifica o Numero de Amostras
        
        if Menu_NumAmostra == 2     %Ate' 2 
            numAmostra = 2;
        end
        if Menu_NumAmostra == 3     %Mais que 2
            numAmostra = 3;
        end
           
% Verifica a certeza sobre o Numero de Amostras

            numAmostra = numAmostra + incremento;


% Tipo de Classificacao e Certeza sobre a Classificacao

        incremento = 0; 
        Menu_Classificacao=menu('Quantos critrios so usados para classificar o experimento?', 'No sei', 'Um critrio', 'Dois critrios');
        if Menu_Classificacao ~= 1 
            incremento = certeza;
        else            
            classificacao = 1.5;
        end
                
% Verifica o Tipo de Classificacao
        
        if Menu_Classificacao == 2 
            classificacao = 1;
        end
        if Menu_Classificacao == 3 
            classificacao = 2;
        end
           
% Verifica a certeza sobre o Tipo de Classificacao

            classificacao = classificacao + incremento;

        
% Verifica o Tipo de Amostragem e Certeza sobre o Tipo 

        incremento = 0; 
        Menu_TipoAmostral=menu('Qual  o tipo de amostragem?', 'No sei', 'Aleatria', 'Independente', 'Aleatria E Independente');
        if Menu_TipoAmostral ~= 1 
            incremento = certeza;
        else            
            tipoAmostral = 1.15;
        end

% Verifica o Tamanho da Amostra        
        
        if Menu_TipoAmostral == 2 
            tipoAmostral = 1;
        end
        if Menu_TipoAmostral == 3 
            tipoAmostral = 2;
        end
        if Menu_TipoAmostral == 4 
            tipoAmostral = 1.5;
        end
          
% Verifica a certeza sobre o Tamanho da Amostra

            tipoAmostral  = tipoAmostral + incremento;
       
        
% Conhecimento sobre a Distribuicao Populacional e Certeza sobre a Distribuicao

        incremento = 0; 
        Menu_DistrPopulacao=menu('A Distribuio de Probabilidade da sua populao : ', ...
            'No sei', 'No foi informado', 'No  uma distribuio normal', ' uma distribuio normal');
        if Menu_DistrPopulacao ~= 1 
            incremento = certeza;
        else            
            distrPopulacao = 2.5;
        end
        

% Verifica o Conhecimento sobre a Distribuicao Populacional
        
        if Menu_DistrPopulacao == 2 
            distrPopulacao = 1;
        end
        if Menu_DistrPopulacao == 3 
            distrPopulacao = 2;
        end
        if Menu_DistrPopulacao == 4
            distrPopulacao = 3;
        end
           
% Verifica a certeza sobre o Conhecimento da Distribuicao Populacional

            distrPopulacao = distrPopulacao + incremento;

            
% Verifica a Homocedasticidade e a Certeza sobre a Homocedasticidade

        incremento = 0; 
        Menu_Homocedasticidade=menu('O que o Teste de Homocedasticidade verificou?', 'No sei', 'Rejeitou as igualdades das varincias', ...
            'Aceitou a igualdade dos tratamentos (no h bloco)', 'Aceitou somente a igualdade dos tratamentos', ...
            'Aceitou somente a igualdade dos blocos', 'Aceitou a igualdade de tratamentos e blocos');
        if Menu_Homocedasticidade ~= 1 
            incremento = certeza;
        else            
            homocedasticidade = 1.5;
        end

% Verifica a Homocedasticidade
        
        if Menu_Homocedasticidade == 2 
            homocedasticidade = 1;
        end
        if Menu_Homocedasticidade == 3 
            homocedasticidade = 2;
        end   
        if Menu_Homocedasticidade == 4 
            homocedasticidade = 3;
        end
        if Menu_Homocedasticidade == 5 
            homocedasticidade = 4;
        end   
        if Menu_Homocedasticidade == 6
            homocedasticidade = 5;
        end   
        
% Verifica a certeza sobre a Homocedasticidade

            homocedasticidade = homocedasticidade + incremento;
       

%Chamada do sistema especialista fuzzy para verificar a medida de tendencia central adequada

        fis_anova = readfis('anova');
        [a, b, c, d] = evalfis([variavel numAmostra classificacao tipoAmostral distrPopulacao homocedasticidade],fis_anova,909);
        for i=1:152
            Nao_ANOVA(i)=d(i);           
        end
        for i=153:454
            Anova_1fator(i-46)=d(i);           
        end
        for i=456:757
            Anova_2fatores(i-137)=d(i);            
        end
        
        
% Resultado final da consulta

        max_Nao_ANOVA= max(Nao_ANOVA);
        max_Anova_1fator=max(Anova_1fator);
        max_Anova_2fatores=max(Anova_2fatores);
 
        sprintf('Possibilidades para cada resposta dada pelo SESHET-S:')
        sprintf('OBS.: Lembre-se que as medidas de Possibilidade no so aditivas!!!          ')
        sprintf('No se aplica ANOVA para este caso, nesta disciplina                         ')
        max_Nao_ANOVA
        sprintf('ANOVA 1 fator                                                                ') 
        max_Anova_1fator
        sprintf('ANOVA 2 fatores                                                              ')
        max_Anova_2fatores
       

% Envia para formatador de saida

        saidanov(max_Nao_ANOVA, max_Anova_1fator, max_Anova_2fatores);