
function cor_regr
% Funcao Cor_regr para tratamento de duvidas em Correlacao e Regressao Lineares
% parte do Sistema SESHET-S
%
% Por Ronei Marcos de Moraes
% em 11 de agosto de 2001
%
% Variaveis de Entrada:	nenhuma
%
%
% Variaveis Internas: 	Numero de Variaveis		(uma, duas, mais que duas),
%						Tipo de Variavel      	(qualitativa, quantitativa, qt. discreta
%												qt. continua), 
%                       Tipo de Relacionamento  (verificar, modelo)
%
%
% Variaveis de Saida: 	max_CRNao_aplica		(maior valor de pertinencia para o caso no  
%												qual um Correlacao ou Regressao nao se 
%												aplicam),
%						max_Correlacao			(maior valor de pertinencia para a
%												verificacao de Correlacao),
%						max_Regressao			(maior valor de pertinencia para o 
%												Modelo de Regressao)

%
% Topico eh Correlacao/Regressao
% Numero de Variaveis e Certeza sobre o Numero

        incremento = 0; 
        Menu_NumVariaveis=menu('Qual  o Nmero de Variveis?', 'No sei', 'Uma', 'Duas', 'Mais que duas');
        if Menu_NumVariaveis ~= 1 
            incremento = certeza;
        else            
            error(sprintf('Voc precisa estudar mais! No  possivel responder a sua dvida!!!'));
        end
                
% Verifica o Numero de Variaveis
        
        if Menu_NumVariaveis == 2 
            numVariaveis = 1;
        end
        if Menu_NumVariaveis == 3 
            numVariaveis = 2;
        end
        if Menu_NumVariaveis == 4
            numVariaveis = 3;
        end
           
% Verifica a certeza sobre o Numero de Variaveis

            numVariaveis = numVariaveis + incremento;

        
% Tipo de Variavel e Certeza sobre o Tipo

		  incremento = 0; 
Menu_Variaveis=menu('A(s) varivel(is) do seu estudo  (so):', 'No sei', 'Deve ser Qualitativa, mas no sei o tipo', ...
   'Deve ser Quantitativa, mas no sei o tipo', ' Qualitativa Nominal', ' Qualitativa Ordinal', ' Quantitativa Discreta', ' Quantitativa Contnua');
        if Menu_Variaveis ~= 1
            incremento = certeza;
        else   
            Menu_Variaveis == 8; 	
            variavel = 0.5;

        end     
        
        
% Verifica tipo de Variavel

        if Menu_Variaveis == 2 	%Qual., s/ tipo
            variavel = 0;
        end
        if Menu_Variaveis == 3 	%Quant., s/ tipo
           variavel = 1.5;
        end
        if Menu_Variaveis == 4 	%Qual. Nom.
            variavel = 0;
        end
        if Menu_Variaveis == 5	%Qual. Ord.
            variavel = 0;
         end
        if Menu_Variaveis == 6	% Quant. Discr.
            variavel = 1;
        end
        if Menu_Variaveis == 7 	% Quant. Cont.
            variavel = 2;
         end         
         
% Verifica a certeza sobre o Variavel

        variavel = variavel + incremento;
    

% Tipo de Relacionamento e Certeza sobre o Relacionamento

		  incremento = 0; 
        Menu_Relacionamento=menu('Qual  o Relacionamento desejado?', 'No sei', ...
           'Verificar a existncia de relacionamento', 'Modelar o relacionamento');
        if Menu_Relacionamento ~= 1 
            incremento = certeza;
        else            
            relacionamento = 1.5;
            Menu_CertezaRelacionamento = 5;
        end
                
% Verifica o Tipo de Relacionamento
        
        if Menu_Relacionamento == 2 
            relacionamento = 1;
        end
        if Menu_Relacionamento == 3 
            relacionamento = 2;
        end
        if Menu_Relacionamento == 4
            relacionamento = 3;
        end
           
% Verifica a certeza sobre o Tipo de Relacionamento

            relacionamento = relacionamento + incremento;

            
%Chamada do sistema especialista fuzzy para verificar a medida de tendencia central adequada

        fis_cr = readfis('cor_regr');
        [a, b, c, d] = evalfis([numVariaveis variavel relacionamento],fis_cr,909);
        for i=1:151
            CRNao_aplica(i)=d(i);           
        end
        for i=154:452
            Correlacao(i-153)=d(i);           
        end
        for i=456:757
            Regressao(i-455)=d(i);            
        end
        
        
% Resultado final da consulta

        max_CRNao_aplica= max(CRNao_aplica);
        max_Correlacao=max(Correlacao);
        max_Regressao=max(Regressao);

        sprintf('Possibilidades para cada resposta dada pelo SESHET-S:')
        sprintf('OBS.: Lembre-se que as medidas de Possibilidade no so aditivas!!!')
        sprintf('No se aplica Correlao ou Regresso para este caso, nesta disciplina  ')
        max_CRNao_aplica
        sprintf('Anlise de Correlao                                                   ') 
        max_Correlacao
        sprintf('Anlise de Regresso                                                    ')
        max_Regressao

% Envia para formatador de saida

        saida_cr (max_CRNao_aplica, max_Correlacao, max_Regressao);


