
function int_conf
% Funcao Int_conf para tratamento de duvidas em Intervalo de Confianca
% parte do Sistema SESHET-S
%
% Por Ronei Marcos de Moraes
% em 11 de agosto de 2001
%
% Variaveis de Entrada:	nenhuma
%
%
% Variaveis Internas:	Tipo de Estimativa      (pontual, intervalar), 
%                       Tipo de Parametro       (media, proporcao , variancia), 
%                       Tamanho da Amostra      (pequena, grande), 
%                       Variancia               (conhecida, desconhecida, nao se aplica)
%
% Variaveis de Saida: 	max_ICNao_aplica			(maior valor de pertinencia para o caso no  
%																qual um Intervalo de Confianca nao se aplica 
%								max_ICMediaVarDes			(maior valor de pertinencia para o Intervalo 
%																de Confianca para uma media com Variancia 
%																Desconhecida)
%								max_ICMediaVarCon			(maior valor de pertinencia para o Intervalo 
%																de Confianca para uma media com Variancia 
%																Conhecida)
% 								max_ICProporcao			(maior valor de pertinencia para o Intervalo 
%																de Confianca para uma Proporcao)
%								max_ICVariancia			(maior valor de pertinencia para o Intervalo 
%																de Confianca para uma Variancia)
%
%
% Topico eh Intervalo de Confianca
% Tipo de Estimativa e Certeza sobre o Tipo

incremento = 0; 
Menu_Estimativa=menu('O tipo de estimativa que voc deseja :', 'No sei', 'Pontual', 'Intervalar');
        if Menu_Estimativa ~= 1
            incremento = certeza;
        else   
            error(sprintf('Voc precisa estudar mais! Nao  possivel responder a sua dvida!!!'));
        end     
        
% Verifica tipo de Estimativa

        if Menu_Estimativa == 2
            estimativa = 1;
        end
        if Menu_Estimativa == 3
            estimativa = 2;
        end
        
% Verifica a certeza sobre o tipo de Estimativa

        estimativa = estimativa + incremento;
    

% Tipo de Parametro e Certeza sobre o Parametro

        incremento = 0; 
        Menu_Parametro=menu('Qual  o seu parmetro?', 'No sei', 'Mdia', 'Proporo', 'Varincia');
        if Menu_Parametro ~= 1 
            incremento = certeza;
        else            
            parametro = 1.5;
            Menu_CertezaParametro = 5;
        end
        
% Verifica o Tipo de Parametro        
        
        if Menu_Parametro == 2 
            parametro = 1;
        end
        if Menu_Parametro == 3 
            parametro = 2;
        end
        if Menu_Parametro == 4
            parametro = 3;
        end
           
% Verifica a certeza sobre o Tipo de Parametro

            parametro = parametro + incremento;

        
% Tamanho da Amostra        

        incremento = 0; 
        Menu_TamAmostra=menu('Qual  o tamanho da amostra?', 'No sei', 'Pequena', 'Grande');
        if Menu_TamAmostra ~= 1 
            incremento = certeza;
        else            
            tamAmostra = 1.5;
            Menu_CertezaTamAmostra = 5;
        end

% Verifica o Tamanho da Amostra e Certeza sobre o Tamanho        
        
        if Menu_TamAmostra == 2 
            tamAmostra = 1;
        end
        if Menu_TamAmostra == 3 
            tamAmostra = 2;
        end
           
% Verifica a certeza sobre o Tamanho da Amostra

            tamAmostra = tamAmostra + incremento;
       
        
% Conhecimento sobre a Variancia e Certeza sobre o Conhecimento

        incremento = 0; 
        Menu_ConhVariancia=menu('Se o seu parmetro  a mdia, a varincia populacional ?', ...
            'No sei', 'Varincia Conhecida', 'Varincia Desconhecida', 'No se aplica, pois o parmetro no  a mdia ');
        if Menu_ConhVariancia ~= 1 
            incremento = certeza;
        else            
            conhVariancia = 1.5;
            Menu_CertezaEspacoExperimento = 5;
        end
        

% Verifica o Espaco de Repeticao do Experimento        
        
        if Menu_ConhVariancia == 2 
            conhVariancia = 1;
        end
        if Menu_ConhVariancia == 3 
            conhVariancia = 2;
        end
        if Menu_ConhVariancia == 4
            conhVariancia = 0;
        end
           
% Verifica a certeza sobre Espaco de Repeticao do Experimento

            conhVariancia = conhVariancia + incremento;

            
%Chamada do sistema especialista fuzzy para verificar a medida de tendencia central adequada

        fis_ic = readfis('int_conf');
        [a, b, c, d] = evalfis([estimativa parametro tamAmostra conhVariancia],fis_ic,909);
        for i=1:90
            ICNao_aplica(i)=d(i);           
        end
        for i=93:272
            ICMediaVarDes(i-92)=d(i);           
        end
        for i=276:453
            ICMediaVarCon(i-275)=d(i);            
        end
        for i=455:634
            ICProporcao(i-454)=d(i);
        end
        for i=638:818
            ICVariancia(i-637)=d(i);           
        end
       
        
% Resultado final da consulta

        max_ICNao_aplica= max(ICNao_aplica)
        max_ICMediaVarDes=max(ICMediaVarDes);
        max_ICMediaVarCon=max(ICMediaVarCon);
        max_ICProporcao=max(ICProporcao)
        max_ICVariancia=max(ICVariancia);

        sprintf('Possibilidades para cada resposta dada pelo SESHET-S:')
        sprintf('OBS.: Lembre-se que as medidas de Possibilidade no so aditivas!!!')
        sprintf('Intervalo de Confiana no se aplica neste caso                    ')
        max_ICNao_aplica
        sprintf('Intervalo de Confiana para uma Mdia com Varincia Desconhecida   ') 
        max_ICMediaVarDes
        sprintf('Intervalo de Confiana para uma Mdia com Varincia Conhecida      ')
        max_ICMediaVarCon
        sprintf('Intervalo de Confiana para uma Proporo                          ') 
        max_ICProporcao
        sprintf('Intervalo de Confiana para uma Varincia                          ') 
        max_ICVariancia


% Envia para formatador de saida

        saida_ic (max_ICNao_aplica, max_ICMediaVarDes, max_ICMediaVarCon, max_ICProporcao, max_ICVariancia);


