
function naoparam
% Funcao Naoparam para tratamento de duvidas em Metodos Nao-parametricos
% parte do Sistema SESHET-S
%
% Por Ronei Marcos de Moraes
% em 15 de agosto de 2001
%
% Variaveis de Entrada:	nenhuma
%
%
% Variaveis Internas: 	Tipo de Variavel      	(qualitativa, minimo_ordinal, quantitativa, 
%												qt. discreta, qt. continua), 
%                       NumAmostras             (uma, duas, mais que duas),
%                       Amostras                (emparelhadas, independentes),
%                       TamAmostras             (pequena, grande),
%                       Populacao               (igualdade, nao_igualdade)
%
%
% Variaveis de Saida: 	max_Nao_aplica   		    (maior valor de pertinencia para o caso no  
%												    qual um Teste Nao-parametrico nao se aplica), 
%						max_TesteSinais 		    (maior valor de pertinencia para o Teste dos 
%												    Sinais nao-parametrico),
%						max_TesteWilcox 		    (maior valor de pertinencia para o Teste de 
%												    Wilcoxon nao-parametrico),
%						max_TesteWMW             	(maior valor de pertinencia para o Teste de 
%												    Wilcoxon-Mann-Whitney nao-parametrico),
%						max_TesteKW	            	(maior valor de pertinencia para o Teste de 
%												     Kruskall-Wallis nao-parametrico),
%						max_TesteFried            	(maior valor de pertinencia para o Teste de 
%												     Friedman nao-parametrico),
%
%
% Topico eh Metodos Nao-parametricos - Estatistica IV

    % Tipo de Variavel e Certeza sobre o Tipo

incremento = 0; 
Menu_Variaveis=menu('A varivel do seu estudo :', 'No sei', 'Deve ser Qualitativa, mas no sei o tipo', ...
   'Deve ser Quantitativa, mas no sei o tipo', ' Qualitativa Nominal', ' Qualitativa Ordinal', ' Quantitativa Discreta', ' Quantitativa Contnua');
        if Menu_Variaveis ~= 1
            incremento = certeza;
        else   
            variaveis = 0.5;
            error(sprintf('Voc precisa estudar mais! Nao  possivel responder a sua dvida!!!'));
        end     
        
        
% Verifica tipo de Variavel

        if Menu_Variaveis == 2 	%Qual., s/ tipo
            variavel = 0;
        end
        if Menu_Variaveis == 3 	%Quant., s/ tipo
           variavel = 1.5;
        end
        if Menu_Variaveis == 4 	%Qual. Nom.
            variavel = 0;
        end
        if Menu_Variaveis == 5	%Qual. Ord.
            variavel = 0;
         end
        if Menu_Variaveis == 6	% Quant. Discr.
            variavel = 1;
        end
        if Menu_Variaveis == 7 	% Quant. Cont.
            variavel = 2;
         end         
         
% Verifica a certeza sobre o Variavel

        variavel = variavel + incremento;
    

% Verifica o Numero de Amostras e Certeza sobre o Numero

        incremento = 0; 
        Menu_NumAmostra=menu('Qual  o numero de amostras?', 'No sei', 'Uma', 'Duas', ...
            'Mais que duas amostras');
        if Menu_NumAmostra ~= 1 
            incremento = certeza;
        else            
            numAmostra = 1.5;
        end

% Verifica o Numero de Amostras
        
        if Menu_NumAmostra == 2     % Uma 
            numAmostra = 1;
        end
        if Menu_NumAmostra == 3     % Duas 
            numAmostra = 2;
        end
        if Menu_NumAmostra == 4     %Mais que 2
            numAmostra = 3;
        end
           
% Verifica a certeza sobre o Numero de Amostras

            numAmostra = numAmostra + incremento;

        
% Verifica o Tipo de Amostras e Certeza sobre o Tipo 

        incremento = 0; 
        Menu_TipoAmostra=menu('Qual  o tipo de Amostra?', 'No sei', 'Emparelhada', 'Independente');
        if Menu_TipoAmostra ~= 1 
            incremento = certeza;
        else            
            tipoAmostra = 1.5;
        end

% Verifica o Tipo da Amostra        
        
        if Menu_TipoAmostra == 2 
            tipoAmostra = 1;
        end
        if Menu_TipoAmostra == 3 
            tipoAmostra = 2;
        end
          
% Verifica a certeza sobre o Tipo da Amostra

            tipoAmostra  = tipoAmostra + incremento;
       
  
% Verifica o Tam de Amostras e Certeza sobre o Tam 

        incremento = 0; 
        Menu_TamAmostra=menu('Qual  o Tamanho da Amostra?', 'No sei', 'Pequena', 'Grande');
        if Menu_TamAmostra ~= 1 
            incremento = certeza;
        else            
            tamAmostra = 1.5;
        end

% Verifica o Tamanho da Amostra        
        
        if Menu_TamAmostra == 2 
            tamAmostra = 1;
        end
        if Menu_TamAmostra == 3 
            tamAmostra = 2;
        end
          
% Verifica a certeza sobre o Tamanho da Amostra
Menu_TamAmostra
            tamAmostra  = tamAmostra + incremento;
tamAmostra
% Conhecimento sobre a Distribuicao Populacional e Certeza sobre a Distribuicao

        incremento = 0; 
        Menu_TestePopulacao=menu('O tipo de Teste sobre a sua populao : ', ...
            'No sei', 'Igualdade', 'Diferena');
        if Menu_TestePopulacao ~= 1 
            incremento = certeza;
        else            
            testePopulacao = 1.5;
        end
        

% Verifica o Conhecimento sobre a Distribuicao Populacional
        
        if Menu_TestePopulacao == 2 
            testePopulacao = 1;
        end
        if Menu_TestePopulacao == 3 
            testePopulacao = 2;
        end

           
% Verifica a certeza sobre o Conhecimento da Distribuicao Populacional

            testePopulacao = testePopulacao + incremento;

            
%Chamada do sistema especialista fuzzy para verificar a medida de tendencia central adequada

        fis_naoparam = readfis('naoparam');
        [a, b, c, d] = evalfis([variavel numAmostra tipoAmostra tamAmostra testePopulacao],fis_naoparam,909);
        for i=1:76
            Nao_aplica(i)=d(i);           
        end
        for i=77:227
            TesteSinais(i-75)=d(i);           
        end
        for i=229:379
            TesteWilcox(i-228)=d(i);            
        end
        for i=380:530
            TesteWMW(i-379)=d(i);            
        end
        for i=531:681
            TesteKW(i-530)=d(i);            
        end
        for i=683:833
            TesteFried(i-682)=d(i);            
        end
        
% Resultado final da consulta

        max_Nao_aplica= max(Nao_aplica);
        max_TesteSinais=max(TesteSinais);
        max_TesteWilcox=max(TesteWilcox);
        max_TesteWMW= max(TesteWMW);
        max_TesteKW=max(TesteKW);
        max_TesteFried=max(TesteFried);
 
        sprintf('Possibilidades para cada resposta dada pelo SESHET-S:')
        sprintf('OBS.: Lembre-se que as medidas de Possibilidade no so aditivas!!!          ')
        sprintf('No se aplica Teste Nao-paramtrico para este caso, nesta disciplina         ')
        max_Nao_aplica
        sprintf('Teste dos Sinais                                                             ') 
        max_TesteSinais
        sprintf('Teste de Wilcoxon                                                            ')
        max_TesteWilcox
        sprintf('Teste de Wilcoxon-Mann-Whitney                                               ')
        max_TesteWMW
       sprintf('Teste de Kruskall-Wallis                                                      ')
        max_TesteKW
        sprintf('Teste de Friedman                                                            ')        
        max_TesteFried
       

% Envia para formatador de saida

        sainopar(max_Nao_aplica, max_TesteSinais, max_TesteWilcox, max_TesteWMW, max_TesteKW, max_TesteFried);
